## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class NameCompositeProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.NameCompositeProvider

All Implemented Interfaces:
  ICompositeProvider, INameCompositeProvider

    public class NameCompositeProvider

extends java.lang.Object
implements INameCompositeProvider

Author:
  Hui Cao

Field Summary
`org.eclipse.swt.widgets.Composite` `compositeName`
`static int` `NONE` Style constant for the basic layout (value is 0).
`static int` `SHOW_COMMENT` Style constant to show comment (value is 1<<2).
`static int` `SHOW_DATABASE` Style constant to show database name (value is 1<<1).
`org.eclipse.swt.widgets.Text` `text`
`org.eclipse.swt.widgets.Text` `textComment`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ICompositeProvider
`BORDER, GROUP`

Constructor Summary
`NameCompositeProvider()`

Method Summary
`org.eclipse.swt.widgets.Composite` `getComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.forms.widgets.FormToolkit formToolkit, int style)` return the visible part of this section and change the part's parent according to the parameter.
`org.eclipse.swt.widgets.Text` `getNameControl()`
`static void` `main(java.lang.String[] args)`
`void` `setValues(java.lang.String dbName, java.lang.String owner, java.lang.String name, java.lang.String tableName, java.lang.String tableOwner)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  Style constant for the basic layout (value is 0).

  See Also:
    Constant Field Values

### SHOW_DATABASE

    public static final int SHOW_DATABASE

  Style constant to show database name (value is 1<<1).

  See Also:
    Constant Field Values

### SHOW_COMMENT

    public static final int SHOW_COMMENT

  Style constant to show comment (value is 1<<2).

  See Also:
    Constant Field Values

### textComment

    public org.eclipse.swt.widgets.Text textComment

### text

    public org.eclipse.swt.widgets.Text text

### compositeName

    public org.eclipse.swt.widgets.Composite compositeName

Constructor Detail

### NameCompositeProvider

    public NameCompositeProvider()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### getComposite

    public org.eclipse.swt.widgets.Composite getComposite(org.eclipse.swt.widgets.Composite parent,
                                                          org.eclipse.ui.forms.widgets.FormToolkit formToolkit,
                                                          int style)

  Description copied from interface: `ICompositeProvider`
  return the visible part of this section and change the part's parent according to the parameter. The layout of the parent should be GridLayout

  Specified by:
    `getComposite` in interface `ICompositeProvider`
  Parameters:
    `parent` - the new parent of the returned object
    `formToolkit` - the form tool kit used to create widgets, could be null
    `style` - style flag to customize the composite
  Returns:

### getNameControl

    public org.eclipse.swt.widgets.Text getNameControl()

  Specified by:
    `getNameControl` in interface `INameCompositeProvider`

### setValues

    public void setValues(java.lang.String dbName,
                          java.lang.String owner,
                          java.lang.String name,
                          java.lang.String tableName,
                          java.lang.String tableOwner)

  Specified by:
    `setValues` in interface `INameCompositeProvider`